<?
/**
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
*/
 
	if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
include('config/config_event.php');
include('config/config_event1.php');

if (isset($_POST['action']))
{
	$action = $_POST['action'];
	if ($action == 'event1')
	{
		$character = $_POST['character'];
		$pass2 = $_POST['pass2'];
		$event1_type = $_POST['event1_type'];
		if (empty($character))
		{
			$error = "Chưa chọn nhân vật gửi Jewel";
		}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $character))
			{
				$error = "<font size='4' color='red'>Dữ liệu lỗi - Nhân vật chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font>";
			}
		elseif (empty($pass2))
		{
			$error = "Chưa nhập mật khẩu cấp 2";
		}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $pass2))
			{
				$error = "<font size='4' color='red'>Dữ liệu lỗi - Mật khẩu cấp 2 chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font>";
			}
		else {
			
			$getcontent_url = $server_url . "/event1.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'pass2'    =>  $pass2,
                'name'    =>  $_SESSION['mu_nvchon'],
                
                'event1_type'    =>  $event1_type,
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

			if ( empty($reponse) ) $error = "<font size='3' color='red'>Server bảo trì.</font>";
			elseif($reponse == "login_other") {
				$error = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
				$info = explode('<vweb>',$reponse);
				if (isset($info[0]) && $info[0] == 'OK') {
					$notice = $info[1];
				}
				else $error = $reponse;
			}
			
		}
	}
}

if (isset($_SESSION['mu_nvchon'])) {
    $accept = 1;
    if ($_SESSION['nv_online'] == 1) {
        $accept = 0;
        $online = "<font color='red'><b>Chưa Thoát</b></font><br>(Sau khi Thoát Game hãy chọn lại Nhân vật)";
    } else $online = "<font color='green'>Đã Thoát</font>";
}

$page_template = "templates/event/event1.tpl";
?>